package ar.com.macro;

import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import lombok.extern.slf4j.Slf4j;
import org.camunda.bpm.spring.boot.starter.annotation.EnableProcessApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.core.env.Environment;

import java.net.InetAddress;

@SpringBootApplication
@EnableProcessApplication
@EnableFeignClients
@Slf4j
@OpenAPIDefinition
public class MacroOfertadorApplication {

    private static final String ACCESS_URLS_MESSAGE_LOG = "Access URLs: External: http://{}:{} Profiles: {}----------------------------------------------------------";

    public static void main(String[] args) {

        try {
            java.security.Security.setProperty("networkaddress.cache.ttl", "60");
            System.setProperty("spring.devtools.restart.enabled", "false");

            SpringApplication app = new SpringApplication(MacroOfertadorApplication.class);

            Environment env = app.run(args).getEnvironment();
            log.info(ACCESS_URLS_MESSAGE_LOG, InetAddress.getLocalHost().getHostAddress(),
                    env.getProperty("server.port"), env.getActiveProfiles());

        } catch (Exception e) {
            log.error("Error starting the application", e);
        }

    }

}