package ar.com.macro.adapter.controllers;

import java.util.List;

import javax.validation.Valid;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ar.com.macro.adapter.services.OfertadorService;
import ar.com.macro.adapter.services.ProcesoService;
import ar.com.macro.adapter.services.TycsService;

import ar.com.macro.core.application.incoming.request.OfertadorRequest;

import ar.com.macro.core.application.incoming.response.OfertadorResponse;
import lombok.RequiredArgsConstructor;

@RestController
@RequiredArgsConstructor
@RequestMapping("/api/Ofertador")
public class OfertadorController {

    //private final AltaComercioService altaComercioService;
    private final OfertadorService ofertadorService;
    
    
    private final TycsService tycsService;
    
    private final ProcesoService procesoService;

    @PostMapping("/iniciar")
    public ResponseEntity<OfertadorResponse> iniciar(@Valid @RequestBody OfertadorRequest ofertadorRequest) {

        //String processInstanceId = altaComercioService.iniciar(altaComercioRequest);
    	String processInstanceId = ofertadorService.iniciar(ofertadorRequest);
    	List<String>  productosOfrecidos = (List<String>) procesoService.getVariable(processInstanceId, "productosDisponibles") ;
        
        OfertadorResponse ofertadorResponse = OfertadorResponse
                .builder()
                .resultado(HttpStatus.OK.name())
                .codResultado(HttpStatus.OK.value())
                .descripcion(HttpStatus.OK.series().name())
                .idSolicitud(processInstanceId)
                .banca(procesoService.getVariable(processInstanceId, "Banca").toString())
                .segmento(procesoService.getVariable(processInstanceId, "Segmento").toString())
                .subsegmento(procesoService.getVariable(processInstanceId, "Subsegmento").toString())
                .nombre((procesoService.getVariable(processInstanceId, "FirmNombre").toString()))
                .productosOfrecidos(productosOfrecidos) 
                .build();

        return ResponseEntity.ok().body(ofertadorResponse);
    }

       
}
