package ar.com.macro.adapter.services;

import java.util.Collections;
import java.util.Optional;

import org.springframework.stereotype.Service;

import ar.com.macro.core.application.outcoming.EsbClient;
import ar.com.macro.core.application.outcoming.response.ClientesConsultaGeneralResponse;
import ar.com.macro.core.application.outcoming.response.ElementsClientesConsultaGeneralResponse;
import ar.com.macro.infraestructure.exception.NotFoundException;
import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class ClientesConsultaGeneralService {

	private final EsbClient esbClient;

	public ClientesConsultaGeneralResponse getClientesConsultaGeneral(String tipoDocumento, String numeroIdentificacion) {

		ElementsClientesConsultaGeneralResponse response;
		////if (idCobis !=null)
		//	response = Optional.ofNullable(esbClient.getClientesConsultaGeneral(idCobis)).orElse(ElementsClientesConsultaGeneralResponse.builder().elements(Collections.emptyList()).build());
		//else
			response = Optional.ofNullable(esbClient.getClientesConsultaGeneralPorCuit(numeroIdentificacion, tipoDocumento)).orElse(ElementsClientesConsultaGeneralResponse.builder().elements(Collections.emptyList()).build());
		

		return response.getElements().stream().findFirst()
				// TODO[] properties
		
				.orElseThrow(() -> new NotFoundException("not_found"));
	}

}
