package ar.com.macro.adapter.services;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Optional;

import org.springframework.stereotype.Service;

import ar.com.macro.bpm.scope.AltaComercioScopeHelper;
import ar.com.macro.bpm.scope.OfertadorScopeHelper;
import ar.com.macro.bpm.scope.ScopeHelper;
import ar.com.macro.core.application.incoming.request.AltaComercioRequest;
import ar.com.macro.core.application.incoming.request.OfertadorRequest;
import ar.com.macro.core.application.incoming.response.ConsultaEstadoSolicitudResponse;
import ar.com.macro.core.application.incoming.response.SmoAltaComercioResponse;
import ar.com.macro.infraestructure.exception.NotFoundException;


@Service
public class OfertadorService extends CommonsService {

    public OfertadorService(ProcesoService procesoService) {
		super(procesoService);
	}

	public String iniciar(OfertadorRequest ofertadorRequest) {

        Map<String, Object> variables = new HashMap<>();

        variables.put(OfertadorScopeHelper.NUMERO_IDENTIFICACION, ofertadorRequest.getNumeroIdentificacion());
        
        variables.put(OfertadorScopeHelper.TIPO_DOCUMENTO, ofertadorRequest.getTipoDocumento());
        
        return procesoService.ejecutar(OfertadorScopeHelper.PROCESS_KEY, variables);
        
    }


}
