package ar.com.macro.adapter.services;

import ar.com.macro.core.application.outcoming.EsbClient;
import ar.com.macro.core.application.outcoming.response.ElementsConsultaDetalleResponse;
import ar.com.macro.core.application.outcoming.response.PasivasConsultaDetalleCuentaResponse;
import ar.com.macro.infraestructure.exception.IntegrationException;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Optional;

@Service
@RequiredArgsConstructor
public class PasivasConsultaDetalleCuentaService {

    private final EsbClient esbClient;

    public PasivasConsultaDetalleCuentaResponse consulta(String tipoCuenta, Long numeroCuenta, String codigoMoneda) {

        ElementsConsultaDetalleResponse response = Optional.ofNullable(this.esbClient
                        .getClientesConsultaDetalleCuentas(tipoCuenta, numeroCuenta, codigoMoneda))
                .orElse(ElementsConsultaDetalleResponse.builder().elements(Collections.emptyList()).build());

        //TODO[] properties and notfound
        return response.getElements().stream().findFirst().orElseThrow(() -> new IntegrationException("Ocurrió un error" +
                " al intentar recuperar los detalles de la cuenta"));
    }
}
