package ar.com.macro.adapter.services;

import java.util.List;

import org.springframework.stereotype.Service;

import ar.com.macro.bpm.scope.ScopeHelper;
import ar.com.macro.core.application.outcoming.DocClient;
import ar.com.macro.core.application.outcoming.response.TycResponse;
import ar.com.macro.infraestructure.exception.NotFoundException;
import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class TycsService {

	private final DocClient docClient;

	private final ProcesoService procesoService;

	public List<TycResponse> getTycsPorProcesoNombre(String keyProcesso) {

		return docClient.getTycsPorProcesoNombre(keyProcesso);
	}

	@SuppressWarnings("unchecked")
	public List<Integer> getTycsPorIdSolicitud(String idSolicitud) {

		if (!procesoService.isActivityInstance(idSolicitud)) {
			// TODO[] properties
			throw new NotFoundException("IdSolicitud notfound");
		}

		return (List<Integer>) procesoService.getVariable(idSolicitud, ScopeHelper.LISTA_TYCS);
	}

}
