package ar.com.macro.bpm.scope;

import java.math.BigDecimal;
import java.util.List;

import org.camunda.bpm.engine.delegate.DelegateExecution;

public class AltaAcuerdoCtaCteScopeHelper extends ScopeHelper {

    public static final String PROCESS_KEY = "AltaAcuerdoCtaCte";
    
    public static final String MESSAGE_KEY_CANCELACION_SOLICITADA = "AltaAcuerdoCtaCteCancelacionSolicitada";
	public static final String MESSAGE_KEY_FIRMA_REALIZADA = "AltaAcuerdoCtaCteFirmaRealizada";
    
    public static final String TIPO_PERSONA = "TipoPersona";
    public static final String TIPO_DOCUMENTO = "TipoDocumento";
    public static final String NRO_DOC = "NroDoc";
    public static final String NRO_CUENTA = "NroCuenta";
    public static final String OPERACION = "Operacion";
    public static final String PLAZO = "Plazo";
    public static final String RENOVACION = "Renovacion";
    public static final String PERIODOS = "Periodos";
    public static final String MONTO = "Monto";
    public static final String PORCEN_DISMINUC = "PorcenDisminuc";
    public static final String LINEA_CREDITO = "LineaCredito";
    public static final String TIPO_LIQUIDACION = "TipoLiquidacion";
    public static final String DESVIO_TASA = "DesvioTasa";
    public static final String TIPO_DESVIO = "TipoDesvio";
    public static final String SOL_TIPO_DOC = "SolTipoDoc";
    public static final String SOL_NUM_DOC = "SolNumDoc";
    public static final String SOL_CARACTER_INVOCADO = "SolCaracterInvocado";
    public static final String SOL_PARTICIPACION_SEG = "SolParticipacionSeg";

    public static final String ID_PRODUCTO = "idProducto";
    public static final String TOPE_CANAL = "topeCanal";
    public static final String TOPE_PF_SEGURO = "idProducto";
    public static final String TOPE_PJ_GARANTIA = "idProducto";
    public static final String PLAZOS_RENOVACION = "plazosRenovacion";
    public static final String TASA_FIJA_30_DIAS = "tajaFija30Dias";
    public static final String TASAS_VARIABLES = "tajasVariables";
    public static final String TASA_PERFIL_ACOPIADOR_SOJA = "tasaPerfilAcopiadorSoja";
    public static final String TASA_PERFIL_MI_PYME = "tasaPerfilMiPyme";
    public static final String VENTANA_HORARIA = "ventanaHoraria";
    
	public static final String TOTAL_DISPONIBLE = "TotalDisponible";
    
    public AltaAcuerdoCtaCteScopeHelper(DelegateExecution variableScope) {
        super(variableScope);
    }
    
	@Override
	public String getProcessKey() {
		return PROCESS_KEY;
	}

	@Override
	public String getMessageKeyFirmaRealizada() {
		return MESSAGE_KEY_FIRMA_REALIZADA;
	}

	@Override
	public String getMessageKeyCancelacionSolicitada() {
		return MESSAGE_KEY_CANCELACION_SOLICITADA;
	}

    public String getOperacion() {
        return (String) variableScope.getVariable(OPERACION);
    }

    public void setOperacion(String operacion) {
        variableScope.setVariable(OPERACION, operacion);
    }

    @SuppressWarnings("unchecked")
	public List<Integer> getPlazosRenovacion() {
        return (List<Integer>) variableScope.getVariable(PLAZOS_RENOVACION);
    }

    public void setPlazosRenovacion(List<Integer> plazosRenovacion) {
        variableScope.setVariable(PLAZOS_RENOVACION, plazosRenovacion);
    }

    public BigDecimal getTopeCanal() {
        return (BigDecimal) variableScope.getVariable(TOPE_CANAL);
    }

    public void setTopeCanal(BigDecimal topeCanal) {
        variableScope.setVariable(TOPE_CANAL, topeCanal);
    }

    public BigDecimal getTopePfSeguro() {
        return (BigDecimal) variableScope.getVariable(TOPE_PF_SEGURO);
    }

    public void setTopePfSeguro(BigDecimal topePfSeguro) {
        variableScope.setVariable(TOPE_PF_SEGURO, topePfSeguro);
    }

    public BigDecimal getTopePjGarantia() {
        return (BigDecimal) variableScope.getVariable(TOPE_PJ_GARANTIA);
    }

    public void setTopePjGarantia(BigDecimal topePjGarantia) {
        variableScope.setVariable(TOPE_PJ_GARANTIA, topePjGarantia);
    }

    public String getIdProducto() {
        return (String) variableScope.getVariable(ID_PRODUCTO);
    }

    public void setIdProducto(String idProducto) {
        variableScope.setVariable(ID_PRODUCTO, idProducto);
    }

    public BigDecimal getTasaFija30Dias() {
        return (BigDecimal) variableScope.getVariable(TASA_FIJA_30_DIAS);
    }

    public void setTasaFija30Dias(BigDecimal tasaFija30Dias) {
        variableScope.setVariable(TASA_FIJA_30_DIAS, tasaFija30Dias);
    }

    public BigDecimal getTasasVariables() {
        return (BigDecimal) variableScope.getVariable(TASAS_VARIABLES);
    }

    public void setTasasVariables(BigDecimal tasasVariables) {
        variableScope.setVariable(TASAS_VARIABLES, tasasVariables);
    }

    public BigDecimal getTasaPerfilAcopiadorSoja() {
        return (BigDecimal) variableScope.getVariable(TASA_PERFIL_ACOPIADOR_SOJA);
    }

    public void setTasaPerfilAcopiadorSoja(BigDecimal tasaPerfilAcopiadorSoja) {
        variableScope.setVariable(TASA_PERFIL_ACOPIADOR_SOJA, tasaPerfilAcopiadorSoja);
    }

    public BigDecimal getTasaPerfilMiPyme() {
        return (BigDecimal) variableScope.getVariable(TASA_PERFIL_MI_PYME);
    }

    public void setTasaPerfilMiPyme(BigDecimal tasaPerfilMiPyme) {
        variableScope.setVariable(TASA_PERFIL_MI_PYME, tasaPerfilMiPyme);
    }

    public String getVentanaHoraria() {
        return (String) variableScope.getVariable(VENTANA_HORARIA);
    }

    public void setVentanaHoraria(String ventanaHoraria) {
        variableScope.setVariable(VENTANA_HORARIA, ventanaHoraria);
    }

    public String getPeriodos() {
        return (String) variableScope.getVariable(PERIODOS);
    }

    public void setPeriodos(String periodos) {
        variableScope.setVariable(PERIODOS, periodos);
    }
    
    public BigDecimal getTotalDisponible() {
        return (BigDecimal) variableScope.getVariable(TOTAL_DISPONIBLE);
    }

    public void setTotalDisponible(BigDecimal totalDisponible) {
        variableScope.setVariable(TOTAL_DISPONIBLE, totalDisponible);
    }

}