package ar.com.macro.bpm.scope;

import org.camunda.bpm.engine.delegate.DelegateExecution;

public class AltaComercioScopeHelper extends ScopeHelper {

	// PROCESS KEY
	public static final String PROCESS_KEY = "AltaDeComercio";

	// MESSAGES KEY
	public static final String MESSAGE_KEY_FIRMA_REALIZADA = "AltaDeComercioFirmaRealizada";
	public static final String MESSAGE_KEY_CANCELACION_SOLICITADA = "AltaDeComercioCancelacionSolicitada";

	// PARAMETROS INICIAR
	public static final String CUIT = "CUIT";
	public static final String SUCURSAL = "Sucursal";
	public static final String FORMA_DE_PAGO = "FormaDePago";
	public static final String CUENTA_ACREDITACION = "CuentaAcreditacion";
	public static final String TIPOIIBB = "TIPOIIBB";
	public static final String NROIIBB = "NROIIBB";
	public static final String MAIL_CONTACTO = "MailContacto";
	public static final String TIPO_TELEFONO = "TipoTelefono";
	public static final String CODIGO_AREA = "CodigoArea";
	public static final String TEL_CONTACTO = "TelContacto";
	public static final String NOMBRE_FANTASIA = "NombreFantasia";
	public static final String MODALIDAD_VENTA = "ModalidadVenta";
	public static final String TIPO_PERSONA = "TipoPersona";
	public static final String PROVINCIA = "Provincia";
	public static final String LOCALIDAD = "Localidad";
	public static final String CALLE = "Calle";
	public static final String NRO_CALLE = "NroCalle";
	public static final String PISO = "Piso";
	public static final String DEPARTAMENTO = "Departamento";
	public static final String CP = "CP";
	public static final String MARCA = "Marca";
	public static final String PRODUCTO_DISPO = "ProductoDispo";
	public static final String ACTIVIDAD_AFIP = "ActividadAFIP";
	public static final String CANT_TERMINALES = "CantTerminales";
	public static final String TIPO_TERMINAL = "TipoTerminal";
	public static final String CUOTAS = "Cuotas";
	public static final String PLAN = "Plan";
	public static final String GATEWAY = "Gateway";
	public static final String COD_ADMINISTRADORA = "CodAdministradora";
	public static final String RESP_NOMBRE = "RespNombre";
	public static final String RESP_APELLIDO = "RespApellido";
	public static final String RESP_NACIONALIDAD = "RespNacionalidad";
	public static final String RESP_LUGAR_NAC = "RespLugarNac";
	public static final String RESP_PAIS_RESI = "RespPaisResi";
	public static final String RESP_PARTICIPACION = "RespParticipacion";
	public static final String RESP_TIPO_DOC = "RespTipoDoc";
	public static final String RESP_NUM_DOC = "RespNumDoc";
	public static final String RESP_CUIT = "RespCUIT";
	public static final String RESP_PROFESION = "RespProfesion";
	public static final String RESP_PEP = "RespPEP";
	public static final String RESP_TIPO_PEP = "RespTipoPEP";
	public static final String FECHA_CONTRATO_CONSTITUTIVO = "FechaContratoConstitutivo";
	public static final String NUMERO_INSCRIPTION_REGISTRAL = "NumeroInscriptionRegistral";
	public static final String FECHA_INSCRIPTION_REGISTAL = "FechaInstrictionRegistral";
	
	// PARAMETROS CONSULTA CUENTAS
	public static final String TIPO_CUENTA = "TipoCuenta";
	public static final String OFICINA_CUENTA = "OficinaCuenta";
	public static final String PRODUCTO_CUENTA = "ProductoCuenta";
	public static final String MONEDA_CUENTA = "MonedaCuenta";
	
	// PARAMETROS CONSULTA PASIVAS DETALLE CUENTA
	public static final String NUMERO_CBU = "NumeroCbu";
	
	// PARAMETROS CONSULTA GERENERAL PARA SMO
	public static final String FIRM_EMAIL = "FirmEmail";
	public static final String FIRM_PISO = "FirmPiso";
	public static final String FIRM_DEPTO = "FirmDepto";
	public static final String FIRM_PROV_COD = "FirmProvCod";
	public static final String FIRM_CODIGO_AREA = "FirmCodigoArea";
	public static final String FIRM_TELEFONO = "FirmTelefono";
	public static final String CONDICION_IVA = "CondicionIva";
	public static final String SUJETO_OBLIGADO = "SujetoObligado";

    public AltaComercioScopeHelper(DelegateExecution variableScope) {
        super(variableScope);
    }
    
	@Override
	public String getProcessKey() {
		return PROCESS_KEY;
	}

	@Override
	public String getMessageKeyFirmaRealizada() {
		return MESSAGE_KEY_FIRMA_REALIZADA;
	}

	@Override
	public String getMessageKeyCancelacionSolicitada() {
		return MESSAGE_KEY_CANCELACION_SOLICITADA;
	}

	public String getCuotas() {
		return (String) variableScope.getVariable(CUOTAS);
	}

	public void setCuotas(String cuotas) {
		variableScope.setVariable(CUOTAS, cuotas);
	}
	
	public String getTipoPersona() {
		return (String) variableScope.getVariable(TIPO_PERSONA);
	}

	public void setTipoPersona(String tipoPersona) {
		variableScope.setVariable(TIPO_PERSONA, tipoPersona);
	}

	public String getFormaDePago() {
		return (String) variableScope.getVariable(FORMA_DE_PAGO);
	}

	public void setFormaDePago(String formaDePago) {
		variableScope.setVariable(FORMA_DE_PAGO, formaDePago);
	}
	
	public String getTipoTelefono() {
		return (String) variableScope.getVariable(TIPO_TELEFONO);
	}

	public void setTipoTelefono(String tipoTelefono) {
		variableScope.setVariable(TIPO_TELEFONO, tipoTelefono);
	}
	
	public String getMarca() {
		return (String) variableScope.getVariable(MARCA);
	}

	public void setMarca(String marca) {
		variableScope.setVariable(MARCA, marca);
	}
	
	public String getProductoDispo() {
		return (String) variableScope.getVariable(PRODUCTO_DISPO);
	}

	public void setProductoDispo(String productoDispo) {
		variableScope.setVariable(PRODUCTO_DISPO, productoDispo);
	}
	
	public String getActividadAfip() {
		return (String) variableScope.getVariable(ACTIVIDAD_AFIP);
	}

	public void setActividadAfip(String actividadAfip) {
		variableScope.setVariable(ACTIVIDAD_AFIP, actividadAfip);
	}
	
	public String getCodAdministradora() {
		return (String) variableScope.getVariable(COD_ADMINISTRADORA);
	}

	public void setCodAdministradora(String codAdministradora) {
		variableScope.setVariable(COD_ADMINISTRADORA, codAdministradora);
	}
	
	public String getRespNacionalidad() {
		return (String) variableScope.getVariable(RESP_NACIONALIDAD);
	}

	public void setRespNacionalidad(String respNacionalidad) {
		variableScope.setVariable(RESP_NACIONALIDAD, respNacionalidad);
	}
	
	public String getRespLugarNac() {
		return (String) variableScope.getVariable(RESP_LUGAR_NAC);
	}

	public void setRespLugarNac(String respLugarNac) {
		variableScope.setVariable(RESP_LUGAR_NAC, respLugarNac);
	}
	
	public String getRespPaisResi() {
		return (String) variableScope.getVariable(RESP_PAIS_RESI);
	}

	public void setRespPaisResi(String respPaisResi) {
		variableScope.setVariable(RESP_PAIS_RESI, respPaisResi);
	}

	public String getRespParticipacion() {
		return (String) variableScope.getVariable(RESP_PARTICIPACION);
	}

	public void setRespParticipacion(String respParticipacion) {
		variableScope.setVariable(RESP_PARTICIPACION, respParticipacion);
	}

	public Long getNroiibb() {
		return (Long) variableScope.getVariable(NROIIBB);
	}

	public void setNroiibb(Long nroiibb) {
		variableScope.setVariable(NROIIBB, nroiibb);
	}

	public String getTipoiibb() {
		return (String) variableScope.getVariable(TIPOIIBB);
	}

	public void setTipoiibb(String tipoiibb) {
		variableScope.setVariable(TIPOIIBB, tipoiibb);
	}

	public String getNombreFantasia() {
		return (String) variableScope.getVariable(NOMBRE_FANTASIA);
	}

	public void setNombreFantasia(String nombreFantasia) {
		variableScope.setVariable(NOMBRE_FANTASIA, nombreFantasia);
	}
	
	public Long getCP() {
		return (Long) variableScope.getVariable(CP);
	}
	
	public void setCP(Long cp) {
		variableScope.setVariable(CP, cp);
	}

	public Integer getSucursal() {
		return (Integer) variableScope.getVariable(SUCURSAL);
	}

	public void setSucursal(Integer sucursal) {
		variableScope.setVariable(SUCURSAL, sucursal);
	}
	
	public Long getCuentaAcreditacion() {
		return (Long) variableScope.getVariable(CUENTA_ACREDITACION);
	}
	
	public void setCuentaAcreditacion(Long getCuentaAcreditacion) {
		variableScope.setVariable(CUENTA_ACREDITACION, getCuentaAcreditacion);
	}

	public Boolean getRespPEP() {
		return (Boolean) variableScope.getVariable(RESP_PEP);
	}

	public void setRespPEP(Boolean respPEP) {
		variableScope.setVariable(RESP_PEP, respPEP);
	}

	public String getRespTipoPEP() {
		return (String) variableScope.getVariable(RESP_TIPO_PEP);
	}

	public void setRespTipoPEP(String respTipoPEP) {
		variableScope.setVariable(RESP_TIPO_PEP, respTipoPEP);
	}

	public Long getRespNumDoc() {
		return (Long) variableScope.getVariable(RESP_NUM_DOC);
	}

	public void setRespNumDoc(Long respNumDoc) {
		variableScope.setVariable(RESP_NUM_DOC, respNumDoc);
	}

	public String getRespNombre() {
		return (String) variableScope.getVariable(RESP_NOMBRE);
	}

	public void setRespNombre(String respNombre) {
		variableScope.setVariable(RESP_NOMBRE, respNombre);
	}

	public String getRespApellido() {
		return (String) variableScope.getVariable(RESP_APELLIDO);
	}

	public void setRespApellido(String respApellido) {
		variableScope.setVariable(RESP_APELLIDO, respApellido);
	}

	public String getMailContacto() {
		return (String) variableScope.getVariable(MAIL_CONTACTO);
	}

	public void setMailContacto(String mailContacto) {
		variableScope.setVariable(MAIL_CONTACTO, mailContacto);
	}

	public Long getCodigoArea() {
		return (Long) variableScope.getVariable(CODIGO_AREA);
	}

	public void setCodigoArea(Long codigoArea) {
		variableScope.setVariable(CODIGO_AREA, codigoArea);
	}

	public Long getTelContacto() {
		return (Long) variableScope.getVariable(TEL_CONTACTO);
	}

	public void setTelContacto(Long telContacto) {
		variableScope.setVariable(TEL_CONTACTO, telContacto);
	}

	public Long getRespCUIT() {
		return (Long) variableScope.getVariable(RESP_CUIT);
	}

	public void setRespCUIT(Long respCUIT) {
		variableScope.setVariable(RESP_CUIT, respCUIT);
	}
	
	public String getRespProfesion() {
		return (String) variableScope.getVariable(RESP_PROFESION);
	}

	public void setRespProfesion(String respProfesion) {
		variableScope.setVariable(RESP_PROFESION, respProfesion);
	}
	
	public String getCalle() {
		return (String) variableScope.getVariable(CALLE);
	}

	public void setCalle(String calle) {
		variableScope.setVariable(CALLE, calle);
	}

	public Integer getNroCalle() {
		return (Integer) variableScope.getVariable(NRO_CALLE);
	}

	public void setNroCalle(Integer getNroCalle) {
		variableScope.setVariable(NRO_CALLE, getNroCalle);
	}

	public Long getPiso() {
		return (Long) variableScope.getVariable(PISO);
	}

	public void setPiso(Long piso) {
		variableScope.setVariable(PISO, piso);
	}

	public String getDepartamento() {
		return (String) variableScope.getVariable(DEPARTAMENTO);
	}

	public void setDepartamento(String departamento) {
		variableScope.setVariable(DEPARTAMENTO, departamento);
	}

	public String getProvincia() {
		return (String) variableScope.getVariable(PROVINCIA);
	}

	public void setProvincia(String provincia) {
		variableScope.setVariable(PROVINCIA, provincia);
	}

	public String getLocalidad() {
		return (String) variableScope.getVariable(LOCALIDAD);
	}

	public void setLocalidad(String localidad) {
		variableScope.setVariable(LOCALIDAD, localidad);
	}

	public Long getCantTerminales() {
		return (Long) variableScope.getVariable(CANT_TERMINALES);
	}

	public void setCantTerminales(Long cantTerminales) {
		variableScope.setVariable(CANT_TERMINALES, cantTerminales);
	}

	public String getPlan() {
		return (String) variableScope.getVariable(PLAN);
	}

	public void setPlan(String plan) {
		variableScope.setVariable(PLAN, plan);
	}

	public String getTipoTerminal() {
		return (String) variableScope.getVariable(TIPO_TERMINAL);
	}

	public void setTipoTerminal(String tipoTerminal) {
		variableScope.setVariable(TIPO_TERMINAL, tipoTerminal);
	}

	public String getModalidadVenta() {
		return (String) variableScope.getVariable(MODALIDAD_VENTA);
	}

	public void setModalidadVenta(String modalidadVenta) {
		variableScope.setVariable(MODALIDAD_VENTA, modalidadVenta);
	}
	
	public String getGateway() {
		return (String) variableScope.getVariable(GATEWAY);
	}

	public void setGateway(String gateway) {
		variableScope.setVariable(GATEWAY, gateway);
	}
	
	public String getRespTipoDoc() {
		return (String) variableScope.getVariable(RESP_TIPO_DOC);
	}
	
	public void setRespTipoDoc(String respTipoDoc) {
		variableScope.setVariable(RESP_TIPO_DOC, respTipoDoc);
	}
	
	public Long getCuit() {
		return (Long) variableScope.getVariable(CUIT);
	}
	
	public void setCuit(Long cuit) {
		variableScope.setVariable(CUIT, cuit);
	}
	
	public String getTipoCuenta() {
		return (String) variableScope.getVariable(TIPO_CUENTA);
	}

	public void setTipoCuenta(String tipoCuenta) {
		variableScope.setVariable(TIPO_CUENTA, tipoCuenta);
	}
	
	public Integer getOficinaCuenta() {
		return (Integer) variableScope.getVariable(OFICINA_CUENTA);
	}

	public void setOficinaCuenta(Integer oficinaCuenta) {
		variableScope.setVariable(OFICINA_CUENTA, oficinaCuenta);
	}

	public Integer getProductoCuenta() {
		return (Integer) variableScope.getVariable(PRODUCTO_CUENTA);
	}

	public void setProductoCuenta(Integer productoCuenta) {
		variableScope.setVariable(PRODUCTO_CUENTA, productoCuenta);
	}

	public String getMonedaCuenta() {
		return (String) variableScope.getVariable(MONEDA_CUENTA);
	}

	public void setMonedaCuenta(String monedaCuenta) {
		variableScope.setVariable(MONEDA_CUENTA, monedaCuenta);
	}
	
	public String getNumeroCbu() {
		return (String) variableScope.getVariable(NUMERO_CBU);
	}

	public void setNumeroCbu(String numeroCbu) {
		variableScope.setVariable(NUMERO_CBU, numeroCbu);
	}
	
	public String getFirmEmail() {
		return (String) variableScope.getVariable(FIRM_EMAIL);
	}

	public void setFirmEmail(String firmEmail) {
		variableScope.setVariable(FIRM_EMAIL, firmEmail);
	}
	
	public Long getFirmPiso() {
		return (Long) variableScope.getVariable(FIRM_PISO);
	}

	public void setFirmPiso(Long firmPiso) {
		variableScope.setVariable(FIRM_PISO, firmPiso);
	}
	
	public String getFirmDepto() {
		return (String) variableScope.getVariable(FIRM_DEPTO);
	}

	public void setFirmDepto(String firmDepto) {
		variableScope.setVariable(FIRM_DEPTO, firmDepto);
	}
	
	public String getFirmProvCod() {
		return (String) variableScope.getVariable(FIRM_PROV_COD);
	}

	public void setFirmProvCod(String firmProvCod) {
		variableScope.setVariable(FIRM_PROV_COD, firmProvCod);
	}
	
	public Long getFirmCodigoArea() {
		return (Long) variableScope.getVariable(FIRM_CODIGO_AREA);
	}

	public void setFirmCodigoArea(Long firmCodigoArea) {
		variableScope.setVariable(FIRM_CODIGO_AREA, firmCodigoArea);
	}
	
	public Long getFirmTelefone() {
		return (Long) variableScope.getVariable(FIRM_TELEFONO);
	}

	public void setFirmTelefone(Long firmTelefone) {
		variableScope.setVariable(FIRM_TELEFONO, firmTelefone);
	}
	
	public String getCondicionIva() {
		return (String) variableScope.getVariable(CONDICION_IVA);
	}

	public void setCondicionIva(String condicionIva) {
		variableScope.setVariable(CONDICION_IVA, condicionIva);
	}
	
	public String getSujetoObligado() {
		return (String) variableScope.getVariable(SUJETO_OBLIGADO);
	}

	public void setSujetoObligado(String sujetoObligado) {
		variableScope.setVariable(SUJETO_OBLIGADO, sujetoObligado);
	}
	
}