package ar.com.macro.bpm.scope;

import java.math.BigDecimal;
import java.util.List;

import org.camunda.bpm.engine.delegate.DelegateExecution;

import ar.com.macro.core.application.incoming.request.CuotaRequest;

public class DesbordePrestamoScopeHelper extends ScopeHelper {

    public static final String PROCESS_KEY = "DesbordePrestamo";
	
	public static final String CUIT = "CUIT";
	public static final String PASO = "Paso";
	public static final String RAZON_SOCIAL = "RazonSocial";
	public static final String PRODUCTO_ID = "ProductoID";
	public static final String PRODUCTO_DESC = "ProductoDesc";
	public static final String FECHA = "Fecha";
	public static final String VALOR_DISPONIBLE = "ValorDisponible";
	public static final String VALOR_CALIFICADO = "ValorCalificado";
	public static final String MONTO_SOLICITADO = "MontoSolicitado";
	public static final String PER_PAGO = "PerPago";
	public static final String PLAZO = "Plazo";
	public static final String CUOTAS = "Cuotas";
	public static final String VALOR_CUOTAS = "ValorCuotas";
	public static final String TASA_FIJA = "TasaFija";
	public static final String CFT = "CFT";
	public static final String GASTOS = "Gastos";
	public static final String SISTEMAS_AMORTIZACION = "SistemaAmortizacion";
	public static final String CUENTA = "Cuenta";
	public static final String TIPO_CUENTA = "TipoCuenta";
	public static final String CUENTA_DESENBOLSO = "CuentaDesenbolso";
	public static final String MONEDA = "Moneda";
	public static final String TIPO_DOCUMENTO = "TipoDocumento";
	public static final String NUMERO_DOC = "NumeroDoc";
	public static final String TIPO_PRESTAMO = "TipoPrestamo";
	public static final String NUMERO_CLIENTE = "NumeroCliente";
	public static final String LINEA_COMERCIAL = "LineaComercial";
	public static final String SUB_LINEA_COMERCIAL = "SublineaComercial";
	public static final String MERCADO = "Mercado";
	public static final String SUB_MERCADO = "Submercado";
	public static final String CUOTA = "Cuota";
	public static final String ID_USUARIO = "IdUsuario";
	public static final String DESC_USUARIO = "DescUsuario";
	public static final String ESTADO_LEAD = "EstadoLead";
	public static final String OBSERVACIONES = "Observaciones";
	public static final String NOMBRE_SOLICITANTE = "NombreSolicitante";
	public static final String APELLIDO_SOLICITANTE = "ApellidoSolicitante";
	public static final String TELEFONO_SOLICITANTE = "TelefonoSolicitante";
	public static final String MAIL_SOLICITANTE = "MailSolicitante";

	public DesbordePrestamoScopeHelper(DelegateExecution variableScope) {
        super(variableScope);
    }
    
	@Override
	public String getProcessKey() {
		return PROCESS_KEY;
	}

	@Override
	public String getMessageKeyFirmaRealizada() {
		return null;
	}

	@Override
	public String getMessageKeyCancelacionSolicitada() {
		return null;
	}

		public String getNombreSolicitante() {
			return (String) variableScope.getVariable(NOMBRE_SOLICITANTE);
		}

		public void setNombreSolicitante(String nombreSolicitante) {
			variableScope.setVariable(NOMBRE_SOLICITANTE, nombreSolicitante);
		}

		public String getApellidoSolicitante() {
			return (String) variableScope.getVariable(APELLIDO_SOLICITANTE);
		}

		public void setApellidoSolicitante(String apellidoSolicitante) {
			variableScope.setVariable(APELLIDO_SOLICITANTE, apellidoSolicitante);
		}

		public String getMailSolicitante() {
			return (String) variableScope.getVariable(MAIL_SOLICITANTE);
		}

		public void setMailSolicitante(String mailSolicitante) {
			variableScope.setVariable(MAIL_SOLICITANTE, mailSolicitante);
		}

		public Integer getTelefonoSolicitante() {
			return (Integer) variableScope.getVariable(TELEFONO_SOLICITANTE);
		}

		public void setTelefonoSolicitante(Integer telefonoSolicitante) {
			variableScope.setVariable(TELEFONO_SOLICITANTE, telefonoSolicitante);
		}
	
    public Integer getCuit() {
    	return (Integer) variableScope.getVariable(CUIT);
    }
    
    public void setCuit(Integer cuit) {
    	variableScope.setVariable(CUIT, cuit);
    }

		public Integer getIdUsuario() {
		return (Integer) variableScope.getVariable(ID_USUARIO);
	}

		public void setIdUsuario(Integer idUsuario) {
		variableScope.setVariable(ID_USUARIO, idUsuario);
	}

		public String getDescUsuario() {
		return (String) variableScope.getVariable(DESC_USUARIO);
	}

		public void setDescUsuario(String descUsuario) {
		variableScope.setVariable(DESC_USUARIO, descUsuario);
	}

		public Integer getEstadoLead() {
		return (Integer) variableScope.getVariable(ESTADO_LEAD);
	}

		public void setEstadoLead(Integer estado) {
		variableScope.setVariable(ESTADO_LEAD, estado);
	}

		public String getObservaciones() {
		return (String) variableScope.getVariable(OBSERVACIONES);
	}

		public void setObservaciones(String observaciones) {
		variableScope.setVariable(OBSERVACIONES, observaciones);
	}

    public String getPase() {
    	return (String) variableScope.getVariable(PASO);
    }
    
    public void setPase(String paso) {
    	variableScope.setVariable(PASO, paso);
    }
    
    public String getRazonSocial() {
    	return (String) variableScope.getVariable(RAZON_SOCIAL);
    }
    
    public void setRazonSocial(String razonSocial) {
    	variableScope.setVariable(RAZON_SOCIAL, razonSocial);
    }
    
    public Integer getProductId() {
    	return (Integer) variableScope.getVariable(PRODUCTO_ID);
    }
    
    public void setProductId(Integer productId) {
    	variableScope.setVariable(PRODUCTO_ID, productId);
    }
    
    public String getProductDesc() {
    	return (String) variableScope.getVariable(PRODUCTO_DESC);
    }
    
    public void setProductDesc(String productDesc) {
    	variableScope.setVariable(PRODUCTO_DESC, productDesc);
    }
    
    public String getFecha() {
    	return (String) variableScope.getVariable(FECHA);
    }
    
    public void setFecha(String fecha) {
    	variableScope.setVariable(FECHA, fecha);
    }
    
    public BigDecimal getValorDisponible() {
    	return (BigDecimal) variableScope.getVariable(VALOR_DISPONIBLE);
    }
    
    public void setValorDisponible(BigDecimal valorDisponible) {
    	variableScope.setVariable(VALOR_DISPONIBLE, valorDisponible);
    }
    
    public BigDecimal getValorCalificado() {
    	return (BigDecimal) variableScope.getVariable(VALOR_CALIFICADO);
    }
    
    public void setValorCalificado(BigDecimal valorCalificado) {
    	variableScope.setVariable(VALOR_CALIFICADO, valorCalificado);
    }
    
    public BigDecimal getValorSolicitado() {
    	return (BigDecimal) variableScope.getVariable(MONTO_SOLICITADO);
    }
    
    public void setValorSolicitado(BigDecimal valorSolicitado) {
    	variableScope.setVariable(MONTO_SOLICITADO, valorSolicitado);
    }
    
    public String getPerPago() {
    	return (String) variableScope.getVariable(PER_PAGO);
    }
    
    public void setPerPago(String perPago) {
    	variableScope.setVariable(PER_PAGO, perPago);
    }
    
    public Integer getPlazo() {
    	return (Integer) variableScope.getVariable(PLAZO);
    }
    
    public void setPlazo(Integer plazo) {
    	variableScope.setVariable(PLAZO, plazo);
    }
    
    public Integer getCuotas() {
    	return (Integer) variableScope.getVariable(CUOTAS);
    }
    
    public void setCuotas(Integer cuotas) {
    	variableScope.setVariable(CUOTAS, cuotas);
    }
    
    public String getValorCuotas() {
    	return (String) variableScope.getVariable(VALOR_CUOTAS);
    }
    
    public void setValorCuotas(String cuotas) {
    	variableScope.setVariable(VALOR_CUOTAS, cuotas);
    }
    
    public String getTasaFija() {
    	return (String) variableScope.getVariable(TASA_FIJA);
    }
    
    public void setTasaFija(String tasaFija) {
    	variableScope.setVariable(TASA_FIJA, tasaFija);
    }
    
    public String getCft() {
    	return (String) variableScope.getVariable(CFT);
    }
    
    public void setCft(String cft) {
    	variableScope.setVariable(CFT, cft);
    }
    
    public String getGastos() {
    	return (String) variableScope.getVariable(GASTOS);
    }
    
    public void setGastos(String gastos) {
    	variableScope.setVariable(GASTOS, gastos);
    }
    
    public String getSistemasAmortizacion() {
    	return (String) variableScope.getVariable(SISTEMAS_AMORTIZACION);
    }
    
    public void setSistemasAmortizacion(String sistemasAmortizacion) {
    	variableScope.setVariable(SISTEMAS_AMORTIZACION, sistemasAmortizacion);
    }
    
    public Integer getCuenta() {
    	return (Integer) variableScope.getVariable(CUENTA);
    }
    
    public void setCuenta(Integer cuenta) {
    	variableScope.setVariable(CUENTA, cuenta);
    }
    
    public String getTipocuenta() {
    	return (String) variableScope.getVariable(TIPO_CUENTA);
    }
    
    public void setTipocuenta(String tipocuenta) {
    	variableScope.setVariable(TIPO_CUENTA, tipocuenta);
    }
    
    public Integer getCuentaDesenvolso() {
    	return (Integer) variableScope.getVariable(CUENTA_DESENBOLSO);
    }
    
    public void setCuentaDesenvolso(Integer cuentaDesenbolso) {
    	variableScope.setVariable(CUENTA_DESENBOLSO, cuentaDesenbolso);
    }
    
    public String getMoneda() {
    	return (String) variableScope.getVariable(MONEDA);
    }
    
    public void setCuentaMoneda(String moneda) {
    	variableScope.setVariable(MONEDA, moneda);
    }
    
    public String getTipoDocumento() {
    	return (String) variableScope.getVariable(TIPO_DOCUMENTO);
    }
    
    public void setTipoDocumento(String tipoDocumento) {
    	variableScope.setVariable(TIPO_DOCUMENTO, tipoDocumento);
    }
    
    public Integer getNumeroDoc() {
    	return (Integer) variableScope.getVariable(NUMERO_DOC);
    }
    
    public void setNumeroDoc(Integer numeroDoc) {
    	variableScope.setVariable(NUMERO_DOC, numeroDoc);
    }
    
    public String getTipoPrestamo() {
    	return (String) variableScope.getVariable(TIPO_PRESTAMO);
    }
    
    public void setTipoPrestamo(String tipoPrestamo) {
    	variableScope.setVariable(TIPO_PRESTAMO, tipoPrestamo);
    }
    
    public Integer getNumeroCliente() {
    	return (Integer) variableScope.getVariable(NUMERO_CLIENTE);
    }
    
    public void setNumeroCliente(Integer tipoPrestamo) {
    	variableScope.setVariable(NUMERO_CLIENTE, tipoPrestamo);
    }
    
    public Integer getLineaComercial() {
    	return (Integer) variableScope.getVariable(LINEA_COMERCIAL);
    }
    
    public void setLineaComercial(Integer lineaComercial) {
    	variableScope.setVariable(LINEA_COMERCIAL, lineaComercial);
    }
    
    public Integer getSubLineaComercial() {
    	return (Integer) variableScope.getVariable(SUB_LINEA_COMERCIAL);
    }
    
    public void setSubLineaComercial(Integer sublineaComercial) {
    	variableScope.setVariable(SUB_LINEA_COMERCIAL, sublineaComercial);
    }
    
    public Integer getMercado() {
    	return (Integer) variableScope.getVariable(MERCADO);
    }
    
    public void setMercado(String mercado) {
    	variableScope.setVariable(MERCADO, mercado);
    }
    
    public Integer getSubMercado() {
    	return (Integer) variableScope.getVariable(SUB_MERCADO);
    }
    
    public void setSubMercado(Integer subMercado) {
    	variableScope.setVariable(SUB_MERCADO, subMercado);
    }
    
    @SuppressWarnings("unchecked")
	public List<CuotaRequest> getCuotasLista() {
    	return (List<CuotaRequest>) variableScope.getVariable(CUOTA);
    }
    
    public void setCuotasLista(List<CuotaRequest> cuota) {
    	variableScope.setVariable(CUOTA, cuota);
    }

}
