package ar.com.macro.bpm.scope;

import org.camunda.bpm.engine.delegate.DelegateExecution;

public class OfertadorScopeHelper extends ScopeHelper {

	// PROCESS KEY
	public static final String PROCESS_KEY = "OfertadorProductos";

	// MESSAGES KEY
	public static final String MESSAGE_KEY_FIRMA_REALIZADA = "AltaDeComercioFirmaRealizada";
	public static final String MESSAGE_KEY_CANCELACION_SOLICITADA = "AltaDeComercioCancelacionSolicitada";

	// PARAMETROS INICIAR
	public static final String NUMERO_IDENTIFICACION = "numeroIdentificacion";
	public static final String TIPO_DOCUMENTO = "tipoDocumento";



    public OfertadorScopeHelper(DelegateExecution variableScope) {
        super(variableScope);
    }
    
	@Override
	public String getProcessKey() {
		return PROCESS_KEY;
	}

	@Override
	public String getMessageKeyFirmaRealizada() {
		return MESSAGE_KEY_FIRMA_REALIZADA;
	}

	@Override
	public String getMessageKeyCancelacionSolicitada() {
		return MESSAGE_KEY_CANCELACION_SOLICITADA;
	}

		
	public String getNumeroIdentificacion() {
		return (String) variableScope.getVariable(NUMERO_IDENTIFICACION);
	}

	public void setNumeroIdentificacion(String numeroIdentificacion) {
		variableScope.setVariable(NUMERO_IDENTIFICACION, numeroIdentificacion);
	}

	public String getTipoDocumento() {
		return (String) variableScope.getVariable(TIPO_DOCUMENTO);
	}

	public void setTipoDocumento(String tipoDocumento) {
		variableScope.setVariable(TIPO_DOCUMENTO, tipoDocumento);
	}
}