package ar.com.macro.bpm.scope;

import java.util.Date;
import java.util.List;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.VariableScope;

public abstract class ScopeHelper {

	protected final VariableScope variableScope;

	public static final String ID_SOLICITUD = "IdSolicitud";
	public static final String CANAL = "Canal";
    public static final String ID_COBIS = "IDCobis";
	
    // PARAMETROS REALIZAR FIRMA
	public static final String FIRM_NOMBRE = "FirmNombre";
	public static final String FIRM_APELLI = "FirmApelli";
	public static final String FIRM_FECHA_NAC = "FirmFechaNac";
	public static final String FIRM_NACIONALIDAD = "FirmNacionalidad";
	public static final String FIRM_LUGAR_NAC = "FirmLugarNac";
	public static final String FIRM_SEXO = "FirmSexo";
	public static final String FIRM_EST_CIVIL = "FirmEstCivil";
	public static final String FIRM_TIPO_DOC = "FirmTipoDoc";
	public static final String FIRM_NUM_DOC = "FirmNumDoc";
	public static final String FIRM_CUIT = "FirmCUIT";
	public static final String FIRM_PROV = "FirmProv";
	public static final String FIRM_LOCALIDAD = "FirmLocalidad";
	public static final String FIRM_CALLE = "FirmCalle";
	public static final String FIRM_NRO_CALLE = "FirmNroCalle";
	public static final String FIRM_CP = "FirmCP";
	public static final String FIRM_PEP = "FirmPEP";
	public static final String FIRM_TIPO_PEP = "FirmTipoPEP";

	// PARAMETROS CANCELACION
	public static final String MOTIVO_CANCELACION = "motivoCancelacion";
	public static final String CUIT_FIRMANTE = "CUITFirmante";
    
	// PARAMETROS TYCs
	public static final String LISTA_TYCS = "ListaTycs";

	public static final String ESTADO_DEL_PROCESO = "estadoDelProceso";

	protected ScopeHelper(DelegateExecution execution) {
		this.variableScope = execution;
	}
	
	public abstract String getProcessKey();
	public abstract String getMessageKeyFirmaRealizada();
	public abstract String getMessageKeyCancelacionSolicitada();
	
	public String getIdSolicitud() {
		return (String) variableScope.getVariable(ID_SOLICITUD);
	}
	
	public void setIdSolicitud(String idSolicitud) {
		variableScope.setVariable(ID_SOLICITUD, idSolicitud);
	}
	
	public String getCanal() {
		return (String) variableScope.getVariable(CANAL);
	}
	
	public void setCanal(String canal) {
		variableScope.setVariable(CANAL, canal);
	}
    
    public Long getIdCobis() {
        return (Long) variableScope.getVariable(ID_COBIS);
    }

    public void setIdCobis(Long idCobis) {
        variableScope.setVariable(ID_COBIS, idCobis);
    }
    
	public String getFirmNombre() {
		return (String) variableScope.getVariable(FIRM_NOMBRE);
	}
	
	public void setFirmNombre(String firmNombre) {
		variableScope.setVariable(FIRM_NOMBRE, firmNombre);
	}
	
	public String getFirmApelli() {
		return (String) variableScope.getVariable(FIRM_APELLI);
	}
	
	public void setFirmApelli(String firmApelli) {
		variableScope.setVariable(FIRM_APELLI, firmApelli);
	}
	
	public Date getFirmFechaNac() {
		return (Date) variableScope.getVariable(FIRM_FECHA_NAC);
	}
	
	public void setFirmFechaNac(Date firmFechaNac) {
		variableScope.setVariable(FIRM_FECHA_NAC, firmFechaNac);
	}
	
	public String getFirmNacionalidad() {
		return (String) variableScope.getVariable(FIRM_NACIONALIDAD);
	}
	
	public void setFirmNacionalidad(String firmNacionalidad) {
		variableScope.setVariable(FIRM_NACIONALIDAD, firmNacionalidad);
	}
	
	public String getFirmLugarNac() {
		return (String) variableScope.getVariable(FIRM_LUGAR_NAC);
	}
	
	public void setFirmLugarNac(String firmLugarNac) {
		variableScope.setVariable(FIRM_LUGAR_NAC, firmLugarNac);
	}
	
	public String getFirmSexo() {
		return (String) variableScope.getVariable(FIRM_SEXO);
	}
	
	public void setFirmSexo(String firmSexo) {
		variableScope.setVariable(FIRM_SEXO, firmSexo);
	}
	
	public String getFirmEstCivil() {
		return (String) variableScope.getVariable(FIRM_EST_CIVIL);
	}
	
	public void setFirmEstCivil(String firmEstCivil) {
		variableScope.setVariable(FIRM_EST_CIVIL, firmEstCivil);
	}
	
	public String getFirmTipoDoc() {
		return (String) variableScope.getVariable(FIRM_TIPO_DOC);
	}
	
	public void setFirmTipoDoc(String firmTipoDoc) {
		variableScope.setVariable(FIRM_TIPO_DOC, firmTipoDoc);
	}
	
	public Long getFirmNumDoc() {
		return (Long) variableScope.getVariable(FIRM_NUM_DOC);
	}
	
	public void setFirmNumDoc(Long firmNumDoc) {
		variableScope.setVariable(FIRM_NUM_DOC, firmNumDoc);
	}
	
	public Long getFirmCuit() {
		return (Long) variableScope.getVariable(FIRM_CUIT);
	}
	
	public void setFirmCuit(Long firmCuit) {
		variableScope.setVariable(FIRM_CUIT, firmCuit);
	}
	
	public String getFirmProv() {
		return (String) variableScope.getVariable(FIRM_PROV);
	}
	
	public void setFirmProv(String firmProv) {
		variableScope.setVariable(FIRM_PROV, firmProv);
	}
	
	public String getFirmLocalidad() {
		return (String) variableScope.getVariable(FIRM_LOCALIDAD);
	}
	
	public void setFirmLocalidad(String firmLocalidad) {
		variableScope.setVariable(FIRM_LOCALIDAD, firmLocalidad);
	}
	
	public String getFirmCalle() {
		return (String) variableScope.getVariable(FIRM_CALLE);
	}
	
	public void setFirmCalle(String firmCalle) {
		variableScope.setVariable(FIRM_CALLE, firmCalle);
	}
	
	public Integer getFirmNroCalle() {
		return (Integer) variableScope.getVariable(FIRM_NRO_CALLE);
	}
	
	public void setFirmNroCalle(Integer firmNroCalle) {
		variableScope.setVariable(FIRM_NRO_CALLE, firmNroCalle);
	}
	
	public Long getFirmCP() {
		return (Long) variableScope.getVariable(FIRM_CP);
	}
	
	public void setFirmCP(Long firmCP) {
		variableScope.setVariable(FIRM_CP, firmCP);
	}
	
	public Boolean getFirmPep() {
		return (Boolean) variableScope.getVariable(FIRM_PEP);
	}
	
	public void setFirmPep(Boolean firmPep) {
		variableScope.setVariable(FIRM_PEP, firmPep);
	}
	
	public String getFirmTipoPep() {
		return (String) variableScope.getVariable(FIRM_TIPO_PEP);
	}
	
	public void setFirmTipoPep(String firmTipoPEP) {
		variableScope.setVariable(FIRM_TIPO_PEP, firmTipoPEP);
	}

	@SuppressWarnings("unchecked")
	public List<Integer> getListaTycs() {
		return (List<Integer>) variableScope.getVariable(LISTA_TYCS);
	}

	public String getMotivoCancelacion() {
		return (String) variableScope.getVariable(MOTIVO_CANCELACION);
	}
	
	public void setMotivoCancelacion(String motivoCancelacion) {
		variableScope.setVariable(MOTIVO_CANCELACION, motivoCancelacion);
	}
	
	public String getCuitFirmante() {
		return (String) variableScope.getVariable(CUIT_FIRMANTE);
	}
	
	public void setCuitFirmante(String cuitFirmante) {
		variableScope.setVariable(CUIT_FIRMANTE, cuitFirmante);
	}

	public void setListaTycs(List<Integer> listaTycs) {
		variableScope.setVariable(LISTA_TYCS, listaTycs);
	}

}
