package ar.com.macro.core.application.annotations.impl;

import ar.com.macro.core.application.annotations.MismoTamanoCuota;
import ar.com.macro.core.application.incoming.request.DesbordePrestamoIniciarRequest;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.Optional;

public class MismoTamanoCuotaValidator implements ConstraintValidator<MismoTamanoCuota, DesbordePrestamoIniciarRequest> {

    @Override
    public void initialize(MismoTamanoCuota constraintAnnotation) {

    }

    @Override
    public boolean isValid(DesbordePrestamoIniciarRequest request, ConstraintValidatorContext context) {
        return Optional.of(request)
                .filter(e->request.getCuota() != null && request.getCuotas() != null)
                .map(e -> request.getCuota().size() == request.getCuotas())
                .orElse(request.getCuota() == null && request.getCuotas() == null);
    }

}
