package ar.com.macro.core.application.delegate;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.JavaDelegate;
import org.springframework.stereotype.Component;

import ar.com.macro.bpm.scope.AltaAcuerdoCtaCteScopeHelper;
import ar.com.macro.core.application.incoming.response.CondicionesResponse;
import lombok.RequiredArgsConstructor;

@Component("ACCParametrosCondiciones")
@RequiredArgsConstructor
public class ACCParametrosCondicionesDelegate implements JavaDelegate {

    @Override
    public void execute(DelegateExecution delegateExecution) {

        final AltaAcuerdoCtaCteScopeHelper scopeHelper = new AltaAcuerdoCtaCteScopeHelper(delegateExecution);

        //TODO[EDPC-99-juliano] não temos ainda serviço no ESB, será endpoint ou delegate?
        //TODO[EDPC-99-juliano] String canal = Optional.ofNullable(scopeHelper.getCanal()).orElse("TESTE").toString();
        //TODO[EDPC-99-juliano] String idProducto = Optional.ofNullable(scopeHelper.getIdProducto()).orElse("1").toString();

        //TODO[EDPC-99-juliano] CondicionesResponse parametrosCondiciones = this.esbClient.getCondicionesEsb(canal,idProducto);

        List<Integer> plazos = new ArrayList<>();
        plazos.add(30);
        plazos.add(60);
        CondicionesResponse parametrosCondiciones = CondicionesResponse.builder()
                .topeCanal(BigDecimal.valueOf(500000))
                .topePFseguro(BigDecimal.valueOf(600000))
                .topePJGarantia(BigDecimal.valueOf(700000))
                .plazosRenovacion(plazos)
                .tasaFija30Dias(BigDecimal.valueOf(0.1))
                .tasasVariables(BigDecimal.valueOf(0.01))
                .tasaPerfilAcopiadorSoja(BigDecimal.valueOf(0.02))
                .tasaPerfilMiPyme(BigDecimal.valueOf(0.03))
                .ventanaHoraria("[1-5,08:00-19:30]")
                .build();

        scopeHelper.setTopeCanal(parametrosCondiciones.getTopeCanal());
        scopeHelper.setTopePfSeguro(parametrosCondiciones.getTopePFseguro());
        scopeHelper.setTopePjGarantia(parametrosCondiciones.getTopePJGarantia());
        scopeHelper.setPlazosRenovacion(parametrosCondiciones.getPlazosRenovacion());
        scopeHelper.setTasaFija30Dias(parametrosCondiciones.getTasaFija30Dias());
        scopeHelper.setTasasVariables(parametrosCondiciones.getTasasVariables());
        scopeHelper.setTasaPerfilAcopiadorSoja(parametrosCondiciones.getTasaPerfilAcopiadorSoja());
        scopeHelper.setTasaPerfilMiPyme(parametrosCondiciones.getTasaPerfilMiPyme());
        scopeHelper.setVentanaHoraria(parametrosCondiciones.getVentanaHoraria());

    }
}
