package ar.com.macro.core.application.delegate;

import ar.com.macro.adapter.services.PasivasConsultaDetalleCuentaService;
import ar.com.macro.bpm.scope.AltaComercioScopeHelper;
import ar.com.macro.core.application.outcoming.response.PasivasConsultaDetalleCuentaResponse;
import lombok.RequiredArgsConstructor;
import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.JavaDelegate;
import org.springframework.stereotype.Component;

@Component("AComPasivasConsultaDetalleCuenta")
@RequiredArgsConstructor
public class AComClientesConsultaDetalleCuentasDelegate implements JavaDelegate {

    private final PasivasConsultaDetalleCuentaService pasivasConsultaDetalleCuentaService;

    @Override
    public void execute(DelegateExecution delegateExecution) {

        final AltaComercioScopeHelper scopeHelper = new AltaComercioScopeHelper(delegateExecution);

        Integer tipoCuentaNumero = scopeHelper.getProductoCuenta();
        Long numeroCuenta = scopeHelper.getCuentaAcreditacion();
        String codigoMoneda = scopeHelper.getMonedaCuenta();

        String tipoCuenta = getTipoCuenta(tipoCuentaNumero);

        PasivasConsultaDetalleCuentaResponse pasivasConsultaDetalleCuentaResponse = 
        		this.pasivasConsultaDetalleCuentaService.consulta(tipoCuenta, numeroCuenta, codigoMoneda);

        scopeHelper.setNumeroCbu(pasivasConsultaDetalleCuentaResponse.getNumeroCbu());
    }

    public String getTipoCuenta(Integer tipoCuentaNumero) {
        return tipoCuentaNumero != null ? switch (tipoCuentaNumero) {
            case 3 -> "CC";
            case 4 -> "CA";
            default -> "";
        } : "";
    }

}
