package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.JavaDelegate;
import org.springframework.util.StringUtils;

import ar.com.macro.adapter.services.ClientesConsultaGeneralService;
import ar.com.macro.bpm.scope.OfertadorScopeHelper;
import ar.com.macro.bpm.scope.ScopeHelper;
import ar.com.macro.core.application.outcoming.response.ClientesConsultaGeneralResponse;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public abstract class AbstractClientesConsultaGeneralDelegate implements JavaDelegate {
    
	private final ClientesConsultaGeneralService clientesConsultaGeneralService;
	
	protected ClientesConsultaGeneralResponse executeClientesConsultaGeneralDelegate(OfertadorScopeHelper scopeHelper) {

		ClientesConsultaGeneralResponse clientesConsultaGeneralResponse = 
				clientesConsultaGeneralService.getClientesConsultaGeneral(scopeHelper.getTipoDocumento(), scopeHelper.getNumeroIdentificacion());
		
		if (!StringUtils.hasText(scopeHelper.getFirmNombre())) {
			scopeHelper.setFirmNombre(clientesConsultaGeneralResponse.getOdNombre());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmApelli())) {
			scopeHelper.setFirmApelli(clientesConsultaGeneralResponse.getOdPrimerApellido());
		}
		
		if (scopeHelper.getFirmFechaNac() == null) {
			scopeHelper.setFirmFechaNac(clientesConsultaGeneralResponse.getOfNacimiento());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmNacionalidad())) {
			scopeHelper.setFirmNacionalidad(clientesConsultaGeneralResponse.getOdPais());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmLugarNac())) {
			scopeHelper.setFirmLugarNac(clientesConsultaGeneralResponse.getOdLugarNac());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmSexo())) {
			scopeHelper.setFirmSexo(clientesConsultaGeneralResponse.getOcSexo());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmEstCivil())) {
			scopeHelper.setFirmEstCivil(clientesConsultaGeneralResponse.getOcEstadoCivil());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmTipoDoc())) {
			scopeHelper.setFirmTipoDoc(clientesConsultaGeneralResponse.getOcTipoIdentificacion());
		}
		
		if (scopeHelper.getFirmNumDoc() == null) {
			scopeHelper.setFirmNumDoc(clientesConsultaGeneralResponse.getOnNumeroIdentificacion());
		}
		
		if (scopeHelper.getFirmCuit() == null) {
			scopeHelper.setFirmCuit(clientesConsultaGeneralResponse.getOnCedRuc());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmProv())) {
			scopeHelper.setFirmProv(clientesConsultaGeneralResponse.getOdDireccionProvincia());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmLocalidad())) {
			scopeHelper.setFirmLocalidad(clientesConsultaGeneralResponse.getOdDireccionCiudad());
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmCalle())) {
			scopeHelper.setFirmCalle(clientesConsultaGeneralResponse.getOdDireccion());
		}

		if (scopeHelper.getFirmNroCalle() == null) {
			scopeHelper.setFirmNroCalle(clientesConsultaGeneralResponse.getOnDireccion());
		}
		
		if (scopeHelper.getFirmCP() == null) {
			scopeHelper.setFirmCP(clientesConsultaGeneralResponse.getOnDireccionCodigopostal());
		}
		
		if (scopeHelper.getFirmPep() == null) {
			if ("S".equalsIgnoreCase(clientesConsultaGeneralResponse.getOmPepEstado())) {
				scopeHelper.setFirmPep(true);
			}
		}
		
		if (!StringUtils.hasText(scopeHelper.getFirmTipoPep())) {
			scopeHelper.setFirmTipoPep(clientesConsultaGeneralResponse.getOdPepCargo());
		}
		
		return clientesConsultaGeneralResponse;
	}
	
}

