package ar.com.macro.core.application.delegate;

import java.util.List;

import org.camunda.bpm.engine.delegate.JavaDelegate;

import ar.com.macro.adapter.services.TycsService;
import ar.com.macro.bpm.scope.ScopeHelper;
import ar.com.macro.core.application.outcoming.response.TycResponse;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public abstract class AbstractTyCDisponiblesDelegate implements JavaDelegate {
    
	private final TycsService tycsService;
	
	protected void executeTycDisponiblesDelegate(ScopeHelper scopeHelper) {

		List<TycResponse> listaTycs = tycsService.getTycsPorProcesoNombre(scopeHelper.getProcessKey());

		List<Integer> ids = listaTycs.stream().map(TycResponse::getId).toList();

		scopeHelper.setListaTycs(ids);
	}
	
}

