package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.springframework.stereotype.Component;

import ar.com.macro.adapter.services.ClientesConsultaGeneralService;
import ar.com.macro.bpm.scope.AltaComercioScopeHelper;
import ar.com.macro.bpm.scope.OfertadorScopeHelper;
import ar.com.macro.core.application.outcoming.response.ClientesConsultaGeneralResponse;

@Component("OfertadorProductosDelegate")
public class OfertadorProductosConsultaGeneralDelegate extends AbstractClientesConsultaGeneralDelegate {
	
	protected OfertadorProductosConsultaGeneralDelegate(ClientesConsultaGeneralService clientesConsultaGeneralService) {
		super(clientesConsultaGeneralService);
	}

	@Override
	public void execute(DelegateExecution delegateExecution) {

		final OfertadorScopeHelper scopeHelper = new OfertadorScopeHelper(delegateExecution);

		ClientesConsultaGeneralResponse clientesConsultaGeneralResponse = super.executeClientesConsultaGeneralDelegate(scopeHelper);

	
		delegateExecution.setVariable("Banca", clientesConsultaGeneralResponse.getOdBanca());
		delegateExecution.setVariable("Segmento", clientesConsultaGeneralResponse.getOdSegmento());
		delegateExecution.setVariable("Subsegmento", clientesConsultaGeneralResponse.getOdSubsegmento());
	}

}
