package ar.com.macro.core.application.incoming.request;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;

import ar.com.macro.core.application.entities.enums.Operacion;
import ar.com.macro.core.application.entities.enums.SolTipoDoc;
import ar.com.macro.core.application.entities.enums.TipoDesvio;
import ar.com.macro.core.application.entities.enums.TipoDocumento;
import ar.com.macro.core.application.entities.enums.TipoLiquidacion;
import ar.com.macro.core.application.entities.enums.constraints.ValueOfEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AltaAcuerdoCtaCteRequest {

	@NotBlank
	private String canal;

	@NotBlank
	private String tipoPersona;

	@NotBlank
	@ValueOfEnum(enumClass = TipoDocumento.class)
	private String tipoDocumento;

	@NotNull
	private Long nroDoc;

	@NotNull
	private Long idCobis;

	@NotNull
	private Long nroCuenta;

	@NotBlank
	@ValueOfEnum(enumClass = Operacion.class)
	private String operacion;

	@NotNull
	private Long plazo;

	@NotNull
	private boolean renovacion;

	@NotNull
	private Long periodos;

	@NotNull
	@Positive
	private Long monto;

	private Long porcenDisminuc;

	@NotNull
	private Long lineaCredito;

	@NotBlank
	@ValueOfEnum(enumClass = TipoLiquidacion.class)
	private String tipoLiquidacion;

	private Long desvioTasa;

	@ValueOfEnum(enumClass = TipoDesvio.class)
	private String tipoDesvio;

	@ValueOfEnum(enumClass = SolTipoDoc.class)
	private String solTipoDoc;

	private Long solNumDoc;

	private String solCaracterInvocado;

	private Long solParticipacionSeg;

}