package ar.com.macro.core.application.incoming.request;

import java.util.Date;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import ar.com.macro.core.application.entities.enums.FirmTipoDoc;
import ar.com.macro.core.application.entities.enums.Marca;
import ar.com.macro.core.application.entities.enums.ModalidadVenta;
import ar.com.macro.core.application.entities.enums.ProductoDispo;
import ar.com.macro.core.application.entities.enums.TipoPersona;
import ar.com.macro.core.application.entities.enums.TipoTelefono;
import ar.com.macro.core.application.entities.enums.Tipoiibb;
import ar.com.macro.core.application.entities.enums.constraints.ValueOfEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AltaComercioRequest {

	@NotNull
	private Long cuit;

	@NotNull
	private Long idCobis;
	
	@NotBlank
	private String canal;
	
	private Long sucursal;

	@NotBlank
	private String formaDePago;
	
	@NotNull
	private Long cuentaAcreditacion;
	
	@NotBlank
	@ValueOfEnum(enumClass = Tipoiibb.class)
	private String tipoiibb;

	@NotNull
	private Long nroiibb;
	
	@NotBlank
	private String mailContacto;

	@ValueOfEnum(enumClass = TipoTelefono.class)
	private String tipoTelefono;
	
	@NotNull
	private Long codigoArea;
	
	@NotNull
	private Long telContacto;
	
	@NotBlank
	private String nombreFantasia;

	@NotBlank
	@ValueOfEnum(enumClass = ModalidadVenta.class)
	private String modalidadVenta;
	
	@NotBlank
	@ValueOfEnum(enumClass = TipoPersona.class)
	private String tipoPersona;

	@NotBlank
	private String provincia;

	@NotBlank
	private String localidad;

	@NotBlank
	private String calle;

	@NotNull
	private Integer nroCalle;

	@NotNull
	private Long piso;

	@NotBlank
	private String departamento;
	
	@NotNull
	private Long cp;
	
	@ValueOfEnum(enumClass = Marca.class)
	private String marca;
	
	@ValueOfEnum(enumClass = ProductoDispo.class)
	private String productoDispo;
	
	@NotBlank
	private String actividadAfip;

	@NotNull
	private Long cantTerminales;

	private String tipoTerminal;

	private Boolean cuotas;

	private String plan;

	private String gateway;

	private Long codAdministradora;

	private String respNombre;

	private String respApellido;

	private String respNacionalidad;

	private String respLugarNac;

	private String respPaisResi;

	private Long respParticipacion;
	
	@ValueOfEnum(enumClass = FirmTipoDoc.class)
	private String respTipoDoc;

	private Long respNumDoc;

	private Long respCuit;

	private String respProfesion;

	private Boolean respPep;

	private String respTipoPep;
	
	@NotNull
	private Date fechaContratoConstitutivo;
	
	@NotBlank
	private String numeroInscriptionRegistral;
	
	@NotNull
	private Date fechaInstrictionRegistral;

}
