package ar.com.macro.core.application.incoming.request;

import ar.com.macro.core.application.entities.enums.EstadoLead;
import ar.com.macro.core.application.entities.enums.constraints.ValueOfEnum;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DesbordePrestamoActualizarRequest {

	@NotBlank
	private String idSolicitud;

	@NotNull
	private Integer idUsuario;

	@NotBlank
	private String idCanal;

	@NotBlank
	private String descUsuario;

	private String observaciones;

	@NotNull
	@ValueOfEnum(enumClass = EstadoLead.class)
	private String estadoLead;
}
