package ar.com.macro.core.application.incoming.request;

import java.time.LocalDateTime;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;

import ar.com.macro.core.application.annotations.MismoTamanoCuota;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@MismoTamanoCuota
public class DesbordePrestamoIniciarRequest {

	@NotBlank
	private String canal;

	@NotNull
	private Integer cuit;

	@NotBlank
	private String paso;

	private String razonSocial;

	@NotNull
	private Integer productoId;

	private String productoDesc;

	@NotNull
	private LocalDateTime fecha;

	private Double valorDisponible;

	private Double valorCalificado;

	@Positive
	private Double montoSolicitado;

	private String perPago;

	private Integer plazo;

	private Integer cuotas;

	private Double valorCuotas;

	private String tasaFija;

	private String cft;

	private Double gastos;

	private String sistemaAmortizacion;

	private Long cuenta;

	private String tipoCuenta;

	private Long cuentaDesenbolso;

	private String moneda;

	private String tipoDocumento;

	private Long numeroDoc;

	private String tipoPrestamo;

	private Integer numeroCliente;

	private Integer lineaComercial;

	private Integer sublineaComercial;

	private Integer mercado;

	private Integer submercado;

	private List<CuotaRequest> cuota;

	private String nombreSolicitante;

	private String apellidoSolicitante;

	private Long telefonoSolicitante;

	private String mailSolicitante;

}
