package ar.com.macro.core.application.incoming.request;

import java.util.Date;

import java.util.List;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonFormat;

import ar.com.macro.core.application.entities.enums.FirmEstCivil;
import ar.com.macro.core.application.entities.enums.FirmSexo;
import ar.com.macro.core.application.entities.enums.FirmTipoDoc;
import ar.com.macro.core.application.entities.enums.constraints.ValueOfEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FirmaRequest {

	@NotBlank
	private String idSolicitud;

	@NotBlank
	private String canal;

	@NotNull
	private Long idCobis;

	private String firmNombre;

	private String firmApelli;

	@JsonFormat(pattern="yyyy-MM-dd")
	private Date firmFechaNac;

	private String firmNacionalidad;

	private String firmLugarNac;

	@ValueOfEnum(enumClass = FirmSexo.class)
	private String firmSexo;

	@ValueOfEnum(enumClass = FirmEstCivil.class)
	private String firmEstCivil;

	@ValueOfEnum(enumClass = FirmTipoDoc.class)
	private String firmTipoDoc;

	private Long firmNumDoc;

	private Long firmCuit;

	private String firmProv;

	private String firmLocalidad;

	private String firmCalle;

	private Integer firmNroCalle;

	private Long firmCp;

	private Boolean firmPep;

	private String firmTipoPep;

	private List<Integer> idTYC;

}
