package ar.com.macro.core.application.log.filter;

import com.vladmihalcea.hibernate.type.json.JsonBinaryType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.Type;
import org.hibernate.annotations.TypeDef;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@TypeDef(name = "jsonb", typeClass = JsonBinaryType.class)
@Table(schema = "logging_schema")
public class Logging {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private LocalDateTime fecha;

    private String idProceso;

    private Long idCliente;

    private String idSolicitud;

    private String servicio;

    @Type(type = "jsonb")
    @Column(columnDefinition = "jsonb")
    private Object request;
    
    @Type(type = "jsonb")
    @Column(columnDefinition = "jsonb")
    private Object response;

    private long tiempoEjecucion;

    private String httpStatus;

    private String descripcionError;

    private String campoAuxiliar1;

    @Column(name = "campoAuxiliar2", length = 5000)
    private String campoAuxiliar2;

}
