package ar.com.macro.core.application.outcoming;

import ar.com.macro.core.application.outcoming.response.TycResponse;
import ar.com.macro.infraestructure.errorhandling.ErrorCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.Collections;
import java.util.List;

@FeignClient(name = "${doc.name}", url = "${doc.url}", fallback = DocClient.Fallback.class)
public interface DocClient {

    @GetMapping(value = "api/tyc/procesoNombre/{keyProcesso}", consumes = MediaType.APPLICATION_JSON_VALUE)
    List<TycResponse> getTycsPorProcesoNombre(@PathVariable("keyProcesso") String keyProcesso);

    @Component
    @Slf4j
    class Fallback implements DocClient {

        @Override
        public List<TycResponse> getTycsPorProcesoNombre(String keyProcesso) {
            log.error(String.valueOf(ErrorCode.INTEGRATION_ERROR_RISK));
            return Collections.singletonList(TycResponse.builder().build());
        }

    }

}
