package ar.com.macro.core.application.outcoming;

import feign.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.Map;

@FeignClient(name = "${esb.name-token}", url = "${esb.url}", fallback = TokenEsbClient.Fallback2.class)
public interface TokenEsbClient {

    @GetMapping(value = "/security", produces = "*/*")
    Response getToken(@RequestHeader Map<String, String> headers);

    @Component
    @Slf4j
    class Fallback2 implements TokenEsbClient {


        @Override
        public Response getToken(Map<String, String> headerMap) {
            log.error("An error happened when try to get Authorization Token, returning default value");
            return Response.builder().build();
        }
    }

}
