package ar.com.macro.core.application.outcoming.response;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ClientesConsultaGeneralResponse {

	@JsonAlias("o_d_nombre")
	private String odNombre;

	@JsonAlias("o_d_primer_apellido")
	private String odPrimerApellido;
	
	@JsonAlias("o_f_nacimiento")
	@JsonFormat(pattern="yyyy-MM-dd")
	private Date ofNacimiento;
	
	@JsonAlias("o_d_pais")
	private String odPais;
	
	@JsonAlias("o_d_lugar_nac")
	private String odLugarNac;

	@JsonAlias("o_c_sexo")
	private String ocSexo;
	
	@JsonAlias("o_c_estado_civil")
	private String ocEstadoCivil;
	
	@JsonAlias("o_c_tipo_identificacion")
	private String ocTipoIdentificacion;
	
	@JsonAlias("o_n_numero_identificacion")
	private Long onNumeroIdentificacion;
	
	@JsonAlias("o_n_ced_ruc")
	private Long onCedRuc;
	
	@JsonAlias("o_d_direccion_provincia")
	private String odDireccionProvincia;
	
	@JsonAlias("o_d_direccion_ciudad")
	private String odDireccionCiudad;
	
	@JsonAlias("o_d_direccion")
	private String odDireccion;
	
	@JsonAlias("o_n_direccion")
	private Integer onDireccion;
	
	@JsonAlias("o_n_direccion_codigopostal")
	private Long onDireccionCodigopostal;

	@JsonAlias("o_m_pep_estado")
	private String omPepEstado;

	@JsonAlias("o_d_pep_cargo")
	private String odPepCargo;
	
	@JsonAlias("o_d_direccion_electronica")
	private String odDireccionElectronica;
	
	@JsonAlias("o_n_direccion_piso")
	private Long onDireccionPiso;
	
	@JsonAlias("o_n_direccion_depto")
	private String onDireccionDepto;
	
	@JsonAlias("o_c_direccion_provincia")
	private String ocDireccionProvincia;
	
	@JsonAlias("o_n_telefono_ddn")
	private Long onTelefonoDdn;
	
	@JsonAlias("o_n_telefono")
	private Long onTelefono;

	@JsonAlias("o_c_iva")
	private String ocIva;
	
	@JsonAlias("o_m_sujeto_obligado")
	private String omSujetoObligado;

	@JsonAlias("o_d_banca")
	private String odBanca;
	
	@JsonAlias("o_d_segmento")
	private String odSegmento;

	@JsonAlias("o_d_subsegmento")
	private String odSubsegmento;

}
