package ar.com.macro.infraestructure.config;

import ar.com.macro.adapter.aws.secrets.AwsDbSecret;
import com.zaxxer.hikari.HikariDataSource;
import lombok.RequiredArgsConstructor;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.context.annotation.Profile;

@Configuration
@Profile("!local")
@RequiredArgsConstructor
@SuppressWarnings("unused")
public class DatabaseConfig {

    private final AwsDbSecret awsDbSecret;

    @Bean
    @Primary
    public HikariDataSource dataSource() {
        return DataSourceBuilder.create()
                .username(awsDbSecret.getUsername())
                .password(awsDbSecret.getPassword())
                .driverClassName("org.postgresql.Driver")
                .url("jdbc:postgresql://" + awsDbSecret.getHost() + ":" + awsDbSecret.getPort() + "/" + awsDbSecret.getName())
                .type(HikariDataSource.class)
                .build();
    }
}