package ar.com.macro.infraestructure.errorhandling;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@Getter
@RequiredArgsConstructor
public enum ErrorCode {
    
    SYSTEM_ERROR("system_error"),
    MEDIA_TYPE_NOT_SUPPORTED("media_type_not_supported"),
    INVALID_BODY_MESSAGE("invalid_body_message"),
    MANDATORY_FIELD("mandatory_field"),
    INVALID_FIELD("invalid_field"),
    POSITIVE_FIELD("positive_field"),
    DEPENDENCY_FAILED("dependency_failed"),
    TIME_FAILED("time_failed"),
    TOKEN_NOT_FOUND("token_not_found"),
    TOKEN_INVALID("token_invalid"),
    BUSINESS_ERROR("business_error"),
    INTEGRATION_ERROR_RISK("integration_error_risk"),
    INTEGRATION_ERROR_DETALLES("integration_error_detalles"),
    INTEGRATION_ERROR_CONDITIONS("integration_error_conditions"),
    INTEGRATION_ERROR_CUENTAS("integration_error_cuentas"),
	  INTEGRATION_ERROR_CONSULTA_GENERAL("integration_error_consulta_general"),
    INTEGRATION_ERROR_ALTA_COMERCIO("integration_error_alta_comercio");

    private final String errorKey;

    public static ErrorCode fromErrorKeyOrElse(String key, ErrorCode defaultValue) {

        return Arrays.stream(ErrorCode.values()).filter(i -> i.getErrorKey().equalsIgnoreCase(key))
                .findFirst()
                .orElse(defaultValue);
    }

}
