package ar.com.macro.infraestructure.errorhandling;

import java.util.ArrayList;
import java.util.List;

import org.springframework.http.HttpStatus;

import com.fasterxml.jackson.annotation.JsonCreator;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ErrorResponse {

	private String resultado;

	private int codResultado;

	private String descripcion;

	private String idSolicitud;

	private String debugMessage;

	private List<ErrorItemResponse> errorItems;

	public ErrorResponse(HttpStatus httpStatus, Throwable ex, ErrorItemResponse errorMessage) {
		this.resultado = httpStatus.name();
		this.codResultado = httpStatus.value();
		this.descripcion = httpStatus.series().name();
		this.debugMessage = ex.getLocalizedMessage();
		
		this.errorItems = new ArrayList<>();
		this.errorItems.add(errorMessage);
	}

	@JsonCreator
	public ErrorResponse(HttpStatus httpStatus, Throwable ex, List<ErrorItemResponse> errorMessages) {
		this.resultado = httpStatus.name();
		this.codResultado = httpStatus.value();
		this.descripcion = httpStatus.series().name();
		this.debugMessage = ex.getLocalizedMessage();
		
		this.errorItems = errorMessages;
	}

}