package ar.com.macro.infraestructure.errorhandling;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.experimental.FieldDefaults;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.stereotype.Component;

import java.util.Locale;

@Component
@FieldDefaults(level = AccessLevel.PRIVATE)
@AllArgsConstructor(onConstructor_ = @Autowired)
public class MessageResolver {

	MessageSource messageSource;

	public String getMessage(ErrorCode errorCode) {
		return messageSource.getMessage(errorCode.getErrorKey(), null, Locale.getDefault());
	}

}
