package ar.com.macro.infraestructure.log;

import org.slf4j.Logger;

public enum LogLevel {

	TRACE {
		@Override
		public void log(Logger logger, String message, Object... parameters) {
			logger.trace(message, parameters);
		}
	},
	DEBUG {
		@Override
		public void log(Logger logger, String message, Object... parameters) {
			logger.debug(message, parameters);
		}
	},
	INFO {
		@Override
		public void log(Logger logger, String message, Object... parameters) {
			logger.info(message, parameters);
		}
	},
	WARN {
		@Override
		public void log(Logger logger, String message, Object... parameters) {
			logger.warn(message, parameters);
		}
	},
	ERROR {
		@Override
		public void log(Logger logger, String message, Object... parameters) {
			logger.error(message, parameters);
		}
	};

	public abstract void log(Logger logger, String message, Object... parameters);

}
