package ar.com.macro.adapter.services;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.mockito.ArgumentMatchers.anyString;

import java.util.ArrayList;
import java.util.List;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

import ar.com.macro.core.application.outcoming.DocClient;
import ar.com.macro.core.application.outcoming.response.TycResponse;
import ar.com.macro.infraestructure.exception.NotFoundException;

@ExtendWith(MockitoExtension.class)
class TycsServiceTest {

	@Mock
	private DocClient docClient;

	@Mock
	private ProcesoService procesoService;
	
	@InjectMocks
	private TycsService tycsService;

	@Test
	void getTycsByProcesoNombre() {

		List<TycResponse> listaTyc = new ArrayList<>();

		TycResponse tycResponse = new TycResponse();
		tycResponse.setId(1);
		tycResponse.setPdf("teste");

		listaTyc.add(tycResponse);

		Mockito.doReturn(listaTyc).when(this.docClient).getTycsPorProcesoNombre(anyString());

		assertNotNull(this.tycsService.getTycsPorProcesoNombre(anyString()));
	}
	
	@Test
	void getTycsByIdSolicitud() {
		
		Mockito.doReturn(true).when(procesoService).isActivityInstance(anyString());

		Assertions.assertDoesNotThrow(() -> {
			tycsService.getTycsPorIdSolicitud(anyString());
		});
	}

	@Test
	void getTycsPorIdSolicitudNotFoundException() {
		
		Mockito.doReturn(false).when(procesoService).isActivityInstance(anyString());

		try {
			tycsService.getTycsPorIdSolicitud(anyString());
		} catch (NotFoundException e) {
			assertEquals("IdSolicitud notfound", e.getMessage());
		}
	}

}
