package ar.com.macro.architecture;

import ar.com.macro.infraestructure.errorhandling.ErrorCode;
import org.apache.commons.collections4.CollectionUtils;
import org.junit.jupiter.api.Test;

import java.io.InputStream;
import java.util.Arrays;
import java.util.Collection;
import java.util.Properties;
import java.util.Set;
import java.util.stream.Collectors;

import static org.junit.jupiter.api.Assertions.assertTrue;

class MessageSourceValidationTest {

    @Test
    void shouldAllErrorCodeKeyPresentInMessageProperties() throws Exception {

        Properties p = new Properties();
        InputStream resource = ClassLoader.getSystemResourceAsStream("i18n/messages.properties");
        p.load(resource);

        Set<String> messageSourceKeys = p.stringPropertyNames();
        Set<String> errorCodeKeys = Arrays.stream(ErrorCode.values()).map(ErrorCode::getErrorKey)
                .collect(Collectors.toSet());

        Collection<String> disjunction = CollectionUtils.disjunction(messageSourceKeys, errorCodeKeys);

        if (!disjunction.isEmpty()) {
            System.err.printf("====>>> ERROR_CODE nao presente no messages.properties %s  <<====%n", disjunction);
        }

        assertTrue(disjunction.isEmpty());
    }

}
