package ar.com.macro.core.application.delegate;

import static org.mockito.Mockito.atLeastOnce;
import static org.mockito.Mockito.doReturn;
import static org.mockito.Mockito.verify;

import java.util.Arrays;
import java.util.List;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.jupiter.MockitoExtension;

import ar.com.macro.adapter.services.TycsService;
import ar.com.macro.bpm.scope.AltaAcuerdoCtaCteScopeHelper;
import ar.com.macro.core.application.outcoming.response.TycResponse;
@Disabled 
@ExtendWith(MockitoExtension.class)
class ACCTyCDisponiblesDelegateTest {

	@InjectMocks
	private ACCTyCDisponiblesDelegate delegate;

	@Mock
	private DelegateExecution execution;

	@Mock
	private TycsService service;

	@Test
	void shouldExecuteWithSuccess() {

		List<TycResponse> lista = Arrays.asList(
				TycResponse.builder().id(1).build(),
				TycResponse.builder().id(3).build());

		doReturn(lista).when(service).getTycsPorProcesoNombre(AltaAcuerdoCtaCteScopeHelper.PROCESS_KEY);

		delegate.execute(execution);

		verify(service, atLeastOnce()).getTycsPorProcesoNombre(AltaAcuerdoCtaCteScopeHelper.PROCESS_KEY);
		verify(execution, atLeastOnce()).setVariable(AltaAcuerdoCtaCteScopeHelper.LISTA_TYCS, Arrays.asList(1, 3));
	}

}
