package ar.com.macro.core.application.delegate;

import ar.com.macro.adapter.services.PasivasConsultaDetalleCuentaService;
import ar.com.macro.core.application.outcoming.response.PasivasConsultaDetalleCuentaResponse;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.junit.jupiter.api.Assertions.assertDoesNotThrow;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.ArgumentMatchers.any;

@ExtendWith(MockitoExtension.class)
class AComClientesConsultaDetalleCuentasDelegateTest {

    @Mock
    private PasivasConsultaDetalleCuentaService pasivasConsultaDetalleCuentaService;
    @InjectMocks
    private AComClientesConsultaDetalleCuentasDelegate aComClientesConsultaDetalleCuentasDelegate;

    @Test
    void shouldExecuteWithSuccess() {

        DelegateExecution delegate = Mockito.mock(DelegateExecution.class);

        Mockito.doReturn(new PasivasConsultaDetalleCuentaResponse())
                .when(this.pasivasConsultaDetalleCuentaService)
                .consulta(any(), any(), any());

        assertDoesNotThrow(() -> this.aComClientesConsultaDetalleCuentasDelegate.execute(delegate));

    }

    @Test
    void getTipoCuentaCa() {

        String tipoCuenta = this.aComClientesConsultaDetalleCuentasDelegate.getTipoCuenta(4);

        assertEquals("CA", tipoCuenta);
    }

    @Test
    void getTipoCuentaCc() {

        String tipoCuenta = this.aComClientesConsultaDetalleCuentasDelegate.getTipoCuenta(3);

        assertEquals("CC", tipoCuenta);
    }

    @Test
    void getTipoCuentaDesconocida() {

        String tipoCuenta = this.aComClientesConsultaDetalleCuentasDelegate.getTipoCuenta(5);

        assertEquals("", tipoCuenta);
    }
    
}